Supported Platforms

VMware Postgres is currently supported only on Red Hat Enterprise Linux (RHEL) version 7 and CentOS 7. This applies both to the core database software, as well as client components such as ODBC and JDBC.

Each RPM file included with VMware Postgres automatically installs additional operating-system package dependencies as needed. However, no Extra Packages for Enterprise Linux (EPEL) repository packages are required for VMware Postgres.

Network connectivity is required between all PostgreSQL hosts and clients.

ODBC support requires either the UnixODBC or iODBC driver manager on each client machine.

JDBC support requires Java 8 or higher on each client machine.